﻿@model PagedList.IPagedList<SupportTicketListItemViewModel>
@using Xtoman.Domain.Models

@{
    var selectedStatus = ViewBag.Status != null ? Convert.ToInt32(ViewBag.Status) : 0;
    var selectedDepartment = ViewBag.Department != null ? Convert.ToInt32(ViewBag.Department) : 0;
}


<div class="row">
    <div class="col-12">
        <button class="btn btn-sm btn-primary" onclick="javascript:closeAnswereds()">بستن همه تیکت های پاسخ داده شده</button>
        <button class="btn btn-sm btn-danger" onclick="javascript:closeAll()">بستن همه تیکت ها</button>

    </div>
    <hr />
    <br />
    <div class="col-12">
        <form method="get">
            <div class="row">
                <div class="col-3">
                    <div class="form-group">
                        <label for="term">عبارت جستجو</label>
                        <input type="text" id="term" name="term" class="form-control" />
                    </div>
                </div>
                <div class="col-3">
                    <div class="form-group">
                        <label for="Status">وضعیت تیکت</label>
                        <select id="Status" name="Status" class="form-control">
                            <option value="">همه</option>
                            @foreach (TicketStatus status in (TicketStatus[])Enum.GetValues(typeof(TicketStatus)))
                            {
                                <option@(selectedStatus > 0 && selectedStatus == status.ToInt() ? " selected":"") value="@status.ToInt()">@status.ToDisplay(DisplayProperty.Name)</option@(selectedStatus)>
                            }
                        </select>
                    </div>
                </div>
                <div class="col-3">
                    <div class="form-group">
                        <label for="Department">دپارتمان</label>
                        <select id="Department" name="Department" class="form-control">
                            <option value="">همه</option>
                            @foreach (SupportDepartment dep in (SupportDepartment[])Enum.GetValues(typeof(SupportDepartment)))
                            {
                                <option@(selectedDepartment > 0 && selectedDepartment == dep.ToInt() ? " selected":"") value="@dep.ToInt()">@dep.ToDisplay(DisplayProperty.Name)</option>
                            }
                        </select>
                    </div>
                </div>
                <div class="col-3">
                    <button class="btn btn-primary btn-block mt-4" type="submit">جستجو</button>
                    <input type="hidden" name="page" id="page" value="@ViewBag.CurrentPage" />
                </div>
            </div>

        </form>
    </div>
    <div class="col-12">
        <div class="row">
            <div class="col-12">
                <h5>نتایج یافته شده: <b>@Model.TotalItemCount</b></h5>
            </div>
        </div>
        <div class="card-box table-responsive font-13">
            @Html.DataTables(
                        @<thead>
                            <tr>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Id)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Status)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Priority)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().EmailOrPhoneNumber)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Subject)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Department)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().RepliesCount)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().LastDate)
                                </th>
                                <th>
                                    <span>عملیات</span>
                                </th>
                            </tr>
                        </thead>,
                        @<tbody>
                            @foreach (var support in Model)
                                 {
                                <tr>
                                    <td>
                                        @Html.DisplayFor(modelItem => support.Id)
                                    </td>
                                    <td>
                                        <span class="badge badge-@support.Status.ToDisplay(DisplayProperty.ShortName)" style="padding: inherit;">
                                            @support.Status.ToDisplay()
                                        </span>
                                    </td>
                                    <td>
                                        <span class="badge badge-@support.Priority.ToDisplay(DisplayProperty.ShortName)" style="padding: inherit;">
                                            @support.Priority.ToDisplay()
                                        </span>
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => support.EmailOrPhoneNumber)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => support.Subject)
                                    </td>
                                    <td>
                                        @support.Department.ToDisplay()
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => support.RepliesCount)
                                    </td>
                                    <td>
                                        @support.LastDate.ToFaDateTimeZone()
                                    </td>
                                    <td>
                                        @Html.ActionLink("مشاهده", "Details", new { id = support.Id }, new { @class = "btn btn-primary" })
                                    </td>
                                </tr>
                                 }
                        </tbody>).Order(1, DataTabledOrder.Asc)
                        <div class="text-center">
                            @Html.Partial("_Paging", Model)
                        </div>
                    </div>
                </div>
            </div>

            @section scripts{
                <script>
        var closeUrl = "@Url.Action("Close")";
        function closeAll() {
            doAjax(null, closeUrl, function () {
                window.location.reload();
            });
        }

        function closeAnswereds() {
            var postData = { type: @((int)Xtoman.Domain.Models.TicketStatus.Answered) };
            doAjax(postData, closeUrl, function () {
                window.location.reload();
            });
        }
                </script>
            }